

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>XEN ELFNOTE FEATURES &mdash; Xen 4.16-unstable documentation</title>
  

  
  
  
  

  

  
  
    

  

  
  
    <link rel="stylesheet" href="../../_static/css/theme.css" type="text/css" />
  

  

  
        <link rel="index" title="Index"
              href="../../genindex.html"/>
        <link rel="search" title="Search" href="../../search.html"/>
    <link rel="top" title="Xen 4.16-unstable documentation" href="../../index.html"/>
        <link rel="up" title="Hypercall Interfaces - arm64" href="../arm64.html"/>
        <link rel="next" title="ELF notes" href="elf_notes.html"/>
        <link rel="prev" title="Dom0 console" href="dom0_console.html"/> 

  
  <script src="../../_static/js/modernizr.min.js"></script>

</head>

<body class="wy-body-for-nav" role="document">

   
  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search">
          

          
            <a href="../../index.html" class="icon icon-home"> Xen
          

          
          </a>

          
            
            
              <div class="version">
                4.16
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul>
<li class="toctree-l1"><a class="reference internal" href="../../admin-guide/index.html">Admin Guide</a></li>
</ul>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../guest-guide/index.html">Guest documentation</a></li>
</ul>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../hypervisor-guide/index.html">Hypervisor documentation</a></li>
</ul>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="../index.html">Hypercall Interfaces</a><ul class="current">
<li class="toctree-l2 current"><a class="reference internal" href="../arm64.html">Hypercall Interfaces - arm64</a><ul class="current">
<li class="toctree-l3 current"><a class="reference internal" href="../arm64.html#starting-points">Starting points</a><ul class="current">
<li class="toctree-l4"><a class="reference internal" href="hypercall_calling_convention.html">Hypercall Calling Convention</a></li>
<li class="toctree-l4"><a class="reference internal" href="supported_hypercalls.html">Supported hypercalls</a></li>
<li class="toctree-l4"><a class="reference internal" href="list_of_hypercalls.html">List of hypercalls</a></li>
<li class="toctree-l4"><a class="reference internal" href="guest_scheduler_operations.html">Guest Scheduler Operations</a></li>
<li class="toctree-l4"><a class="reference internal" href="grant_tables.html">Grant Tables</a></li>
<li class="toctree-l4"><a class="reference internal" href="event_channels.html">Event Channels</a></li>
<li class="toctree-l4"><a class="reference internal" href="xenstore_wire_protocol.html">XenStore wire protocol</a></li>
<li class="toctree-l4"><a class="reference internal" href="start_of_day_shared_data_structure.html">Start-of-day shared data structure</a></li>
<li class="toctree-l4"><a class="reference internal" href="start_of_day_memory_layout.html">Start-of-day memory layout</a></li>
<li class="toctree-l4"><a class="reference internal" href="dom0_console.html">Dom0 console</a></li>
<li class="toctree-l4 current"><a class="current reference internal" href="#">XEN ELFNOTE FEATURES</a></li>
<li class="toctree-l4"><a class="reference internal" href="elf_notes.html">ELF notes</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../arm64.html#functions">Functions</a></li>
<li class="toctree-l3"><a class="reference internal" href="../arm64.html#structs">Structs</a></li>
<li class="toctree-l3"><a class="reference internal" href="../arm64.html#enums-and-sets-of-defines">Enums and sets of #defines</a></li>
<li class="toctree-l3"><a class="reference internal" href="../arm64.html#typedefs">Typedefs</a></li>
<li class="toctree-l3"><a class="reference internal" href="../arm64.html#enum-values-and-individual-defines">Enum values and individual #defines</a></li>
</ul>
</li>
</ul>
</li>
</ul>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../glossary.html">Glossary</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../index.html">Xen</a>
        
      </nav>


      
      <div class="wy-nav-content">
        <div class="rst-content">
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../../index.html">Docs</a> &raquo;</li>
        
          <li><a href="../index.html">Hypercall Interfaces</a> &raquo;</li>
        
          <li><a href="../arm64.html">Hypercall Interfaces - arm64</a> &raquo;</li>
        
      <li>XEN ELFNOTE FEATURES</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
            
            <a href="../../_sources/hypercall-interfaces/common/xen_elfnote_features.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="xen-elfnote-features">
<h1>XEN ELFNOTE FEATURES<a class="headerlink" href="#xen-elfnote-features" title="Permalink to this headline">¶</a></h1>
<dl class="group">
<dt>
<span class="target" id="group__xen__elfnote__features"></span><em>group</em> <code class="descname">xen_elfnote_features</code></dt>
<dd><p>XEN_ELFNOTE_FEATURES. </p>
<p>The list of all the features the guest supports. They are set by parsing the XEN_ELFNOTE_FEATURES and XEN_ELFNOTE_SUPPORTED_FEATURES string. The format is the feature names (as given here without the “XENFEAT_” prefix) separated by ‘|’ characters. If a feature is required for the kernel to function then the feature name must be preceded by a ‘!’ character.</p>
<p>Note that if XEN_ELFNOTE_SUPPORTED_FEATURES is used, then in the XENFEAT_dom0 MUST be set if the guest is to be booted as dom0. </p>
<div class="breathe-sectiondef docutils container">
<p class="breathe-sectiondef-title rubric">Defines</p>
<dl class="define">
<dt id="c.XENFEAT_writable_page_tables">
<span class="target" id="group__xen__elfnote__features_1ga2f111e5914108e034017677714afe96f"></span><code class="descname">XENFEAT_writable_page_tables</code> 0<a class="headerlink" href="#c.XENFEAT_writable_page_tables" title="Permalink to this definition">¶</a></dt>
<dd><p>If set, the guest does not need to write-protect its pagetables, and can update them via direct writes. </p>
</dd></dl>

<dl class="define">
<dt id="c.XENFEAT_writable_descriptor_tables">
<span class="target" id="group__xen__elfnote__features_1gadbf6a2118494d0e8c7d17f257a55d75c"></span><code class="descname">XENFEAT_writable_descriptor_tables</code> 1<a class="headerlink" href="#c.XENFEAT_writable_descriptor_tables" title="Permalink to this definition">¶</a></dt>
<dd><p>If set, the guest does not need to write-protect its segment descriptor tables, and can update them via direct writes. </p>
</dd></dl>

<dl class="define">
<dt id="c.XENFEAT_auto_translated_physmap">
<span class="target" id="group__xen__elfnote__features_1ga09bec8facfd20a0b99c2e40787bcf03d"></span><code class="descname">XENFEAT_auto_translated_physmap</code> 2<a class="headerlink" href="#c.XENFEAT_auto_translated_physmap" title="Permalink to this definition">¶</a></dt>
<dd><p>If set, translation between the guest’s ‘pseudo-physical’ address space and the host’s machine address space are handled by the hypervisor. In this mode the guest does not need to perform phys-to/from-machine translations when performing page table operations. </p>
</dd></dl>

<dl class="define">
<dt id="c.XENFEAT_supervisor_mode_kernel">
<span class="target" id="group__xen__elfnote__features_1ga577829064df8c57c7fff9ff0c1b03607"></span><code class="descname">XENFEAT_supervisor_mode_kernel</code> 3<a class="headerlink" href="#c.XENFEAT_supervisor_mode_kernel" title="Permalink to this definition">¶</a></dt>
<dd><p>If set, the guest is running in supervisor mode (e.g., x86 ring 0). </p>
</dd></dl>

<dl class="define">
<dt id="c.XENFEAT_pae_pgdir_above_4gb">
<span class="target" id="group__xen__elfnote__features_1ga80f78c42248ac0ea425dba7a74a83f95"></span><code class="descname">XENFEAT_pae_pgdir_above_4gb</code> 4<a class="headerlink" href="#c.XENFEAT_pae_pgdir_above_4gb" title="Permalink to this definition">¶</a></dt>
<dd><p>If set, the guest does not need to allocate x86 PAE page directories below 4GB. This flag is usually implied by auto_translated_physmap. </p>
</dd></dl>

<dl class="define">
<dt id="c.XENFEAT_mmu_pt_update_preserve_ad">
<span class="target" id="group__xen__elfnote__features_1gaf009782b0e2648d882fd2cee3995c407"></span><code class="descname">XENFEAT_mmu_pt_update_preserve_ad</code> 5<a class="headerlink" href="#c.XENFEAT_mmu_pt_update_preserve_ad" title="Permalink to this definition">¶</a></dt>
<dd><p>x86: Does this Xen host support the MMU_PT_UPDATE_PRESERVE_AD hypercall? </p>
</dd></dl>

<dl class="define">
<dt id="c.XENFEAT_highmem_assist">
<span class="target" id="group__xen__elfnote__features_1ga645d55713dbd533f55ca9f144d79822d"></span><code class="descname">XENFEAT_highmem_assist</code> 6<a class="headerlink" href="#c.XENFEAT_highmem_assist" title="Permalink to this definition">¶</a></dt>
<dd><p>x86: Does this Xen host support the MMU_{CLEAR,COPY}_PAGE hypercall? </p>
</dd></dl>

<dl class="define">
<dt id="c.XENFEAT_gnttab_map_avail_bits">
<span class="target" id="group__xen__elfnote__features_1gab6853aa87c663e96f92ab626c8e2ef9c"></span><code class="descname">XENFEAT_gnttab_map_avail_bits</code> 7<a class="headerlink" href="#c.XENFEAT_gnttab_map_avail_bits" title="Permalink to this definition">¶</a></dt>
<dd><p>If set, GNTTABOP_map_grant_ref honors flags to be placed into guest kernel available pte bits. </p>
</dd></dl>

<dl class="define">
<dt id="c.XENFEAT_hvm_callback_vector">
<span class="target" id="group__xen__elfnote__features_1gade903fa2645e1970e895571bf98fa3c6"></span><code class="descname">XENFEAT_hvm_callback_vector</code> 8<a class="headerlink" href="#c.XENFEAT_hvm_callback_vector" title="Permalink to this definition">¶</a></dt>
<dd><p>x86: Does this Xen host support the HVM callback vector type? </p>
</dd></dl>

<dl class="define">
<dt id="c.XENFEAT_hvm_safe_pvclock">
<span class="target" id="group__xen__elfnote__features_1ga9aa4be21a4e911cc22a52b515e22640a"></span><code class="descname">XENFEAT_hvm_safe_pvclock</code> 9<a class="headerlink" href="#c.XENFEAT_hvm_safe_pvclock" title="Permalink to this definition">¶</a></dt>
<dd><p>x86: pvclock algorithm is safe to use on HVM </p>
</dd></dl>

<dl class="define">
<dt id="c.XENFEAT_hvm_pirqs">
<span class="target" id="group__xen__elfnote__features_1ga8cc23e80bc5be5557e9b8b5223836b33"></span><code class="descname">XENFEAT_hvm_pirqs</code> 10<a class="headerlink" href="#c.XENFEAT_hvm_pirqs" title="Permalink to this definition">¶</a></dt>
<dd><p>x86: pirq can be used by HVM guests </p>
</dd></dl>

<dl class="define">
<dt id="c.XENFEAT_dom0">
<span class="target" id="group__xen__elfnote__features_1ga207226dd362c04357fc9130053a33907"></span><code class="descname">XENFEAT_dom0</code> 11<a class="headerlink" href="#c.XENFEAT_dom0" title="Permalink to this definition">¶</a></dt>
<dd><p>operation as Dom0 is supported </p>
</dd></dl>

<dl class="define">
<dt id="c.XENFEAT_memory_op_vnode_supported">
<span class="target" id="group__xen__elfnote__features_1ga326f7d0fdc82b2147783924dd8fe759e"></span><code class="descname">XENFEAT_memory_op_vnode_supported</code> 13<a class="headerlink" href="#c.XENFEAT_memory_op_vnode_supported" title="Permalink to this definition">¶</a></dt>
<dd><p>Guest can use XENMEMF_vnode to specify virtual node for memory op. </p>
</dd></dl>

<dl class="define">
<dt id="c.XENFEAT_ARM_SMCCC_supported">
<span class="target" id="group__xen__elfnote__features_1ga8e551cce31bd262f0f12fce4d918518b"></span><code class="descname">XENFEAT_ARM_SMCCC_supported</code> 14<a class="headerlink" href="#c.XENFEAT_ARM_SMCCC_supported" title="Permalink to this definition">¶</a></dt>
<dd><p>arm: Hypervisor supports ARM SMC calling convention. </p>
</dd></dl>

<dl class="define">
<dt id="c.XENFEAT_linux_rsdp_unrestricted">
<span class="target" id="group__xen__elfnote__features_1ga13020cd9826673859b27a16efa29c7b9"></span><code class="descname">XENFEAT_linux_rsdp_unrestricted</code> 15<a class="headerlink" href="#c.XENFEAT_linux_rsdp_unrestricted" title="Permalink to this definition">¶</a></dt>
<dd><p>x86/PVH: If set, ACPI RSDP can be placed at any address. Otherwise RSDP must be located in lower 1MB, as required by ACPI Specification for IA-PC systems. This feature flag is only consulted if XEN_ELFNOTE_GUEST_OS contains the “linux” string. </p>
</dd></dl>

<dl class="define">
<dt id="c.XENFEAT_not_direct_mapped">
<span class="target" id="group__xen__elfnote__features_1ga021aa9af0c1039766b927054d84d568f"></span><code class="descname">XENFEAT_not_direct_mapped</code> 16<a class="headerlink" href="#c.XENFEAT_not_direct_mapped" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.XENFEAT_direct_mapped">
<span class="target" id="group__xen__elfnote__features_1ga10361e4a4d68ff2376ee35979ee7dc69"></span><code class="descname">XENFEAT_direct_mapped</code> 17<a class="headerlink" href="#c.XENFEAT_direct_mapped" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.XENFEAT_NR_SUBMAPS">
<span class="target" id="group__xen__elfnote__features_1gaaac5265ae1b9f975dc0ae3348afcf1e6"></span><code class="descname">XENFEAT_NR_SUBMAPS</code> 1<a class="headerlink" href="#c.XENFEAT_NR_SUBMAPS" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>
</dd></dl>

</div>


           </div>
           <div class="articleComments">
            
           </div>
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="elf_notes.html" class="btn btn-neutral float-right" title="ELF notes" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
        <a href="dom0_console.html" class="btn btn-neutral" title="Dom0 console" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2019, The Xen development community.

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/snide/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  

    <script type="text/javascript">
        var DOCUMENTATION_OPTIONS = {
            URL_ROOT:'../../',
            VERSION:'4.16-unstable',
            COLLAPSE_INDEX:false,
            FILE_SUFFIX:'.html',
            HAS_SOURCE:  true,
            SOURCELINK_SUFFIX: '.txt'
        };
    </script>
      <script type="text/javascript" src="../../_static/jquery.js"></script>
      <script type="text/javascript" src="../../_static/underscore.js"></script>
      <script type="text/javascript" src="../../_static/doctools.js"></script>

  

  
  
    <script type="text/javascript" src="../../_static/js/theme.js"></script>
  

  
  
  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.StickyNav.enable();
      });
  </script>
   

</body>
</html>